Loading...
Searching...
No Matches
FastSmallVector.hpp File Reference

An implementation of vector/array based on small object optimization. More...

`#include <array>`
`#include <algorithm>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::FastSmallVector< ValueType, N >
| An implementation of vector/array based on small object optimization. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

An implementation of vector/array based on small object optimization.

It is intended to be used by the DynamicEvaluation for better efficiency.

An implementation of vector/array based on small object optimization.

It is intended to be used by the DynamicEvaluation for better efficiency.

ValueType is the type of the data N is the size of the buffer that willl be allocated during compilation time